*====================================================================
*
* This program contains the definition of a number of API functions.
* Refer to the API reference for a detailed description of them. 
* These declarations are intended to be used with the Struct 
* component if structures are involved.
*
* This file is regularily updated. Make sure you regularily download
* the latest version.
*
* Written 1999 by The Foxpert!; placed into Public Domain.
*
*====================================================================

	*-----------------------------------------------------------------
	* Printer spooler functions
	*-----------------------------------------------------------------
	Declare Integer OpenPrinter in WinSpool.Drv as WS_OpenPrinter ;
		String pPrinterName, ;
		Integer@ phPrinter, ;
		String pDefault

	Declare Integer ClosePrinter in WinSpool.Drv as WS_ClosePrinter ;
		Integer hPrinter

	Declare Integer GetPrinter in WinSpool.Drv as WS_GetPrinter ;
		Integer hPrinter, ;
		Integer Level, ;
		Integer pPrinter, ;
		Integer cbBuf, ;
		Integer @pcbNeeded

	*-----------------------------------------------------------------
	* version functions
	*-----------------------------------------------------------------
	Declare Integer GetVersionEx in Win32API ;
		String @lpVersionInformation

	*-----------------------------------------------------------------
	* date and time functions
	*-----------------------------------------------------------------
	Declare GetLocalTime in Win32API ;
		String @lpSystemTime

	Declare SetLocalTime in Win32API ;
		String lpSystemTime
		
	*-----------------------------------------------------------------
	* messagebox functions
	*-----------------------------------------------------------------
	Declare Integer MessageBoxIndirect in Win32API ;
		String lpMsgBoxParams
	
	*-----------------------------------------------------------------
	* Printer functions
	*-----------------------------------------------------------------
	Declare Integer StartDoc in Win32API ;
		Integer hdc, ;
		String lpdi
		
	Declare Integer StartPage in Win32API ;
		Integer hdc
	
	Declare Integer EndDoc in Win32API ;
		Integer hdc
		
	Declare Integer EndPage in Win32API ;
		Integer hdc
		
	Declare Integer AbortDoc in Win32API ;
		Integer hdc
		
	*-----------------------------------------------------------------
	* device context (DC) functions
	*-----------------------------------------------------------------
	Declare Integer CreateDC in Win32API ;
		String lpszDriver, ;
		String lpszDevice, ;
		String lpszOutput, ;
		String lpInitData
		
	Declare Integer DeleteDC in Win32API ;
		Integer hdc
		
	Declare Integer GetDeviceCaps in Win32API ;
		Integer hdc, ;
		Integer nIndex
		
	Declare Integer SelectObject in Win32API ;
		Integer hdc, ;
		Integer hgdiobj
 	
 	Declare Integer DeleteObject in Win32API ;
 		Integer hObject
 	
	Declare Integer EnumDisplaySettings in Win32API ;
		String lpszDeviceName, ;
		Integer iModeNum, ;
		String @lpDevMode
	
	Declare Integer ChangeDisplaySettings in Win32API ;
		String @lpDevMode, ;
		Integer dwflags
	
	Declare Integer GetDC in Win32API ;
		Integer hWnd

	Declare Integer ReleaseDC in Win32API ;
		Integer hWnd, ;
		Integer hDC 

	Declare Integer GetWindowDC in Win32API ;
		Integer hWnd

  	*-----------------------------------------------------------------
	* Lines and curves functions (GDI)
	*-----------------------------------------------------------------
	Declare Integer MoveToEx in Win32API ;
		Integer hdc, ;
		Integer X, ;
		Integer Y, ;
		String @lpPoint
	
	Declare Integer LineTo in Win32API ;
		Integer hdc, ;
		Integer nXEnd, ;
		Integer nYEnd

	*-----------------------------------------------------------------
	* font and texts functions (GDI)
	*-----------------------------------------------------------------
	Declare Integer CreateFontIndirect in Win32API ;
		String lplf
		
	Declare Integer TextOut in Win32API ;
		Integer hdc, ;
		Integer nXStart, ;
		Integer nYStart, ;
		String lpString, ;
		Integer cbString
	
	Declare Integer SetTextColor in Win32API ;
		Integer hdc, ;
		Integer crColor
	
	Declare Integer GetTextColor in Win32API ;
		Integer hdc
 
 	*-----------------------------------------------------------------
	* large integer operations
	*-----------------------------------------------------------------
	Declare Integer MulDiv in Win32API ;
		Integer nNumber, ;
		Integer nNumerator, ;
		Integer nDenominator

	*-----------------------------------------------------------------
	* Painting and Drawing functions
	*-----------------------------------------------------------------
	Declare Integer SetBkMode in Win32API ;
		Integer hdc, ;
		Integer iBkMode

	*-----------------------------------------------------------------
	* Brushes functions
	*-----------------------------------------------------------------
	Declare Integer CreateSolidBrush in Win32API ;
		Integer crColor

	*-----------------------------------------------------------------
	* Filled shapes functions
	*-----------------------------------------------------------------
	Declare Integer Polygon in Win32API ;
		Integer hdc, ;
		String lpPoints, ;
		Integer nCount

	*-----------------------------------------------------------------
	* File I/O functions
	*-----------------------------------------------------------------
	Declare Integer FindFirstFile in Win32API ;
		String lpFileName, ;
		String @lpFindFileData

	Declare Integer FindNextFile in Win32API ;
		Integer hFindFile, ;
		String @lpFindFileData

	Declare Integer FindClose in Win32API ;
		Integer hFindFile		

	Declare Integer FileTimeToLocalFileTime in Win32API ;
		String lpFileTime, ;
		String @lpLocalFileTime

	Declare Integer FileTimeToSystemTime in Win32API ;
		String lpFileTime, ;
		String @lpSystemTime

	*-----------------------------------------------------------------
	* Windows networking functions
	*-----------------------------------------------------------------
	Declare Integer WNetGetUniversalName in Win32API ;
		String lpLocalPath, ;
		Integer dwInfoLevel, ;
		Integer lpBuffer, ;
		Integer @lpBufferSize

	*-----------------------------------------------------------------
	* Window functions
	*-----------------------------------------------------------------
	Declare Integer GetActiveWindow in Win32Api 
	
	*-----------------------------------------------------------------
	* Remote Access Service (RAS) functions
	*-----------------------------------------------------------------
	Declare Integer RasDial in RasAPI32.Dll ;
		String lpRasDialExtensions, ;
		String lpszPhonebook, ;
		String lpRasDialParams, ;
		Integer dwNotifierType, ;
		Integer lpvNotifier, ;
		Integer @lphRasConn
		
	Declare Integer RasHangUp in RasAPI32.Dll ;
		Integer hrasconn
		
	Declare Integer RasEnumEntries in RasAPI32.Dll ;
		String reserved, ;
		String lpszPhonebook, ;
		String @lprasentryname, ;
		Integer @lpcb, ;
		Integer @lpcEntries
		
	Declare Integer RasGetEntryDialParams in RasAPI32.Dll ;
		String lpszPhonebook, ;
		String @lprasdialparams, ;
		Integer @lpfPassword
 
 	Declare Integer RasGetEntryProperties in RasAPI32.Dll ;
 		String lpszPhonebook, ;
 		String lpszEntry, ;
 		String @lpRasEntry, ;
 		Integer @lpdwEntryInfoSize, ;
 		String @lpbpDeviceInfo, ;
 		Integer @lpdwDeviceInfoSize
